about summary refs log tree commit diff
path: root/exman.sh
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-05-03 19:32:55 +0000
committerJune McEnroe <june@causal.agency>2020-05-03 19:43:45 +0000
commit15a24186b08a81cd5cad12460e23f2952575d979 (patch)
tree3eccfaae2e59b993a8f86583bbd3be3625a2f1c9 /exman.sh
parentFetch manNN.tgz and compNN.tgz for OpenBSD (diff)
downloadexman-15a24186b08a81cd5cad12460e23f2952575d979.tar.gz
exman-15a24186b08a81cd5cad12460e23f2952575d979.zip
Add exman script
Diffstat (limited to 'exman.sh')
-rw-r--r--exman.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/exman.sh b/exman.sh
new file mode 100644
index 0000000..f428e30
--- /dev/null
+++ b/exman.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -eu
+
+die() {
+	echo "$@" >&2
+	exit 1
+}
+
+script=$0
+path=${script%/*}
+prefix=${path%/bin}
+exman="${prefix}/share/exman"
+[ -d "${exman}" ] || exman=$prefix
+
+system=${1:-}
+[ -n "${system}" ] || die 'What system do you want?'
+shift
+
+export MANPATH="${exman}/${system}"
+[ -d "${MANPATH}" ] || die "No manuals for ${system}"
+
+export MANSECT=
+for sect in "${MANPATH}"/man*/; do
+	sect=${sect%/}
+	sect=${sect##*/man}
+	MANSECT="${MANSECT:-}${MANSECT:+:}${sect}"
+done
+
+exec man "$@"
1181eccdb5e831c609fcc39337311437f80f9119&follow=1'>Allow names with prefixes of months and daysJune McEnroe 2022-08-15Add named dates to whenJune McEnroe 2022-08-14Remove tweets text fileJune McEnroe 2022-08-04Add Conversations With FriendsJune McEnroe 2022-07-30Add Normal PeopleJune McEnroe 2022-07-26Rewrite glitch from new pngoJune McEnroe 2022-07-26Update Care with time-to-ID and piercingsJune McEnroe 2022-07-26Add -w to upJune McEnroe 2022-07-13Set push.autoSetupRemoteJune McEnroe 2022-07-08Remove TOURJune McEnroe 2022-07-03Add The Bone Shard EmperorJune McEnroe 2022-06-25Bump xterm font size to 12June McEnroe 2022-06-10Handle subshells (and functions) inside substitutionsJune McEnroe 2022-06-10Switch to jorts Install scriptJune McEnroe 2022-06-08Indicate if still reading or no resultsJune McEnroe 2022-06-08Add Maiden, Mother, CroneJune McEnroe 2022-06-05FIRST SHOW IN 2.5 YEARS BABEY!!!June McEnroe 2022-06-03Set line number on File linesJune McEnroe 2022-06-03Stop polling stdin after EOFJune McEnroe 2022-06-02Set TABSIZE=4June McEnroe 2022-06-02Do basic match highlightingJune McEnroe 2022-06-02Clean up parsing a littleJune McEnroe 2022-06-02Don't duplicate path stringJune McEnroe 2022-06-02Use stderr instead of /dev/tty, realloc buffer if lines too longJune McEnroe 2022-06-02Add initial working version of qfJune McEnroe 2022-05-29Set prompt for okshJune McEnroe